Index: branches/HTM-4.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 187)
@@ -349,5 +349,5 @@
   ("LambdaScaleVSO",                  m_dLambdaScaleVSO         , (Double) 1    , "Lambda Scaling for VSO")
 
-#if HHI_VSO_LS_TABLE
+#if HHI_VSO_LS_TABLE_M23714
   ("VSOLSTable",                      m_bVSOLSTable             , true          , "Depth QP dependent video/depth rate allocation by Lagrange multiplier" )    
 #endif
@@ -732,5 +732,5 @@
 #if HHI_VSO
 
-#if HHI_VSO_LS_TABLE
+#if HHI_VSO_LS_TABLE_M23714
   // Q&D
   Double adLambdaScaleTable[] = 
@@ -1640,5 +1640,5 @@
     printf("VSO Negative Distortion      : %d\n",    m_bAllowNegDist ? 1 : 0);
 #endif
-#if HHI_VSO_LS_TABLE
+#if HHI_VSO_LS_TABLE_M23714
     printf("VSO LS Table                 : %d\n",    m_bVSOLSTable ? 1 : 0);    
 #endif
Index: branches/HTM-4.1-dev0/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/HTM-4.1-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 187)
@@ -292,5 +292,5 @@
   Char*     m_pchVSOConfig;
   Bool      m_bUseVSO;                                    ///< flag for using View Synthesis Optimization
-#if HHI_VSO_LS_TABLE
+#if HHI_VSO_LS_TABLE_M23714
   Bool      m_bVSOLSTable;                                ///< Depth QP dependent Lagrange parameter optimization (m23714)
 #endif
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/CommonDef.h
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/CommonDef.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/CommonDef.h	(revision 187)
@@ -148,5 +148,5 @@
 #endif
 
-#if SAIT_IMPROV_MOTION_PRED_M24829&!QC_MULTI_DIS_CAN
+#if SAIT_IMPROV_MOTION_PRED_M24829&!QC_MULTI_DIS_CAN_A0097
 #define PDM_AMVP_POS                      0         // position of pdm in amvp list  (0..3)
 #else
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/ContextTables.h
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/ContextTables.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/ContextTables.h	(revision 187)
@@ -156,5 +156,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 #define NUM_EDGE_INTRA_CTX            1
 #if LGE_EDGE_INTRA_DELTA_DC
@@ -1303,5 +1303,5 @@
 };
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 static const Short
 INIT_EDGE_INTRA[3][NUM_EDGE_INTRA_CTX] =
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 187)
@@ -147,5 +147,5 @@
   m_pbResPredFlag      = NULL;
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   m_pucEdgeCode         = NULL;
   m_pucEdgeNumber       = NULL;
@@ -293,5 +293,5 @@
     m_piContourPredTexDeltaDC2 = (Int* )xMalloc(Int,  uiNumPartition);
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
     m_pucEdgeCode       = (UChar*)xMalloc(UChar, uiNumPartition * LGE_EDGE_INTRA_MAX_EDGE_NUM_PER_4x4);
     m_pucEdgeNumber     = (UChar*)xMalloc(UChar, uiNumPartition);
@@ -420,5 +420,5 @@
     if ( m_piContourPredTexDeltaDC2 ) { xFree(m_piContourPredTexDeltaDC2); m_piContourPredTexDeltaDC2 = NULL; }
 #endif    
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   if ( m_pbEdgeLeftFirst  ) { xFree(m_pbEdgeLeftFirst);   m_pbEdgeLeftFirst = NULL; }
   if ( m_pucEdgeStartPos  ) { xFree(m_pucEdgeStartPos);   m_pucEdgeStartPos = NULL; }
@@ -1205,5 +1205,5 @@
   m_piContourPredTexDeltaDC2 = pcCU->getContourPredTexDeltaDC2() + uiPart;   
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   if( pcCU->getSlice()->getSPS()->isDepth() )
   {
@@ -1388,5 +1388,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   if( getSlice()->getSPS()->isDepth() )
   {
@@ -1514,5 +1514,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   if( rpcCU->getSlice()->getSPS()->isDepth() )
   {
@@ -1641,5 +1641,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   if( rpcCU->getSlice()->getSPS()->isDepth() )
   {
@@ -2542,5 +2542,5 @@
   mapDMMtoIntraMode( iLeftIntraDir );
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   mapEdgeIntratoDC( iLeftIntraDir );
 #endif
@@ -2557,5 +2557,5 @@
   mapDMMtoIntraMode( iAboveIntraDir );
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   mapEdgeIntratoDC( iAboveIntraDir );
 #endif
@@ -2643,5 +2643,5 @@
 }
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 UInt TComDataCU::getCtxEdgeIntra( UInt uiAbsPartIdx )
 {
@@ -3676,5 +3676,5 @@
 #endif
 
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
 #if QC_MRG_CANS_B0048
   acPdmMv[0].m_bDvMcp = acPdmMv[1].m_bDvMcp = acPdmMv[2].m_bDvMcp = acPdmMv[3].m_bDvMcp = false; 
@@ -3684,10 +3684,10 @@
 #endif
 
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   DisInfo cDisInfo;
   cDisInfo.iN = 0;
   if(!bNoPdmMerge)
   {
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
 #if LGE_IVMP_PARALLEL_MERGE_B0136 && !QC_SIMPLE_NBDV_B0047
     getDisMvpCand2(uiPUIdx, uiAbsPartIdx, &cDisInfo, true, REF_PIC_LIST_X, -1, true );
@@ -3781,5 +3781,5 @@
         pcMvFieldNeighbours[(iCount<<1)+1 ].setMvField( acPdmMv[ 3 ], aiPdmRefIdx[ 3 ] );
       }
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
       pcMvFieldNeighbours[iCount<<1    ].getMv().m_bDvMcp = false;
       pcMvFieldNeighbours[(iCount<<1)+1].getMv().m_bDvMcp = false;
@@ -3848,5 +3848,5 @@
 #endif
 #endif
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
     pcMvFieldNeighbours[iCount<<1    ].getMv().m_bDvMcp = false;
     pcMvFieldNeighbours[(iCount<<1)+1].getMv().m_bDvMcp = false;
@@ -3966,5 +3966,5 @@
 #endif
 #endif
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
     pcMvFieldNeighbours[iCount<<1    ].getMv().m_bDvMcp = false;
     pcMvFieldNeighbours[(iCount<<1)+1].getMv().m_bDvMcp = false;
@@ -4062,5 +4062,5 @@
     }
 #endif
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
     pcMvFieldNeighbours[iCount<<1    ].getMv().m_bDvMcp = false;
     pcMvFieldNeighbours[(iCount<<1)+1].getMv().m_bDvMcp = false;
@@ -4144,5 +4144,5 @@
       if(!bRemoveSpa)
       {
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
         pcMvFieldNeighbours[iCount<<1    ].getMv().m_bDvMcp = false;
         pcMvFieldNeighbours[(iCount<<1)+1].getMv().m_bDvMcp = false;
@@ -4195,5 +4195,5 @@
     }
 #endif
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
     pcMvFieldNeighbours[iCount<<1    ].getMv().m_bDvMcp = false;
     pcMvFieldNeighbours[(iCount<<1)+1].getMv().m_bDvMcp = false;
@@ -4294,5 +4294,5 @@
       }
 #endif
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
       pcMvFieldNeighbours[iCount<<1    ].getMv().m_bDvMcp = false;
       pcMvFieldNeighbours[(iCount<<1)+1].getMv().m_bDvMcp = false;
@@ -4424,5 +4424,5 @@
 #endif
       }
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
       pcMvFieldNeighbours[uiArrayAddr<<1    ].getMv().m_bDvMcp = false;
       pcMvFieldNeighbours[(uiArrayAddr<<1)+1].getMv().m_bDvMcp = false;
@@ -4903,5 +4903,5 @@
   return m_pcSlice->getSPS()->getAMVPMode(m_puhDepth[uiIdx]);
 }
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
 /** construct a list of disparity motion vectors from the neighbouring PUs **/
 Void TComDataCU::getDisMvpCand ( UInt uiPartIdx, UInt uiPartAddr,DisInfo* pDInfo )
@@ -5229,5 +5229,5 @@
 }
 
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
 #if QC_SIMPLE_NBDV_B0047
 Void TComDataCU::getDisMvpCand2( UInt uiPartIdx, UInt uiPartAddr,DisInfo* pDInfo
@@ -5873,5 +5873,5 @@
       DisInfo cDisInfo;
       cDisInfo.iN = 0;
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
 #if QC_SIMPLE_NBDV_B0047
 #if FIX_LGE_IVMP_PARALLEL_MERGE_B0136
@@ -5894,5 +5894,5 @@
       }
       TComMv  cPdmMvPred;
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
       if( getPdmMvPredDisCan( uiPartIdx, eRefPicList, iRefIdx, cPdmMvPred, &cDisInfo ) )
 #else
@@ -5928,10 +5928,10 @@
   }
   
-#if QC_MULTI_DIS_CAN && !SHARP_INTERVIEW_DECOUPLE_B0111
+#if QC_MULTI_DIS_CAN_A0097 && !SHARP_INTERVIEW_DECOUPLE_B0111
   DisInfo cDisInfo;
   cDisInfo.iN = 0;
   if(m_pcSlice->getSPS()->getViewId() && m_pcSlice->getSPS()->getMultiviewMvPredMode())
   {
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
 #if QC_SIMPLE_NBDV_B0047 
 #if FIX_LGE_IVMP_PARALLEL_MERGE_B0136
@@ -5959,5 +5959,5 @@
   // get inter-view mv predictor (at position 0)
   TComMv  cPdmMvPred;
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   if( getPdmMvPredDisCan( uiPartIdx, eRefPicList, iRefIdx, cPdmMvPred, &cDisInfo ) )
 #else
@@ -6018,5 +6018,5 @@
   // get inter-view mv predictor (at position 1)
   TComMv  cPdmMvPred;
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   if( getPdmMvPredDisCan( uiPartIdx, eRefPicList, iRefIdx, cPdmMvPred, &cDisInfo ) )
 #else
@@ -6070,5 +6070,5 @@
   // get inter-view mv predictor (at position 2)
   TComMv  cPdmMvPred;
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   if( getPdmMvPredDisCan( uiPartIdx, eRefPicList, iRefIdx, cPdmMvPred, &cDisInfo ) )
 #else
@@ -6090,5 +6090,5 @@
     }
   }
-#if QC_MULTI_DIS_CAN && !SHARP_INTERVIEW_DECOUPLE_B0111
+#if QC_MULTI_DIS_CAN_A0097 && !SHARP_INTERVIEW_DECOUPLE_B0111
   if ( getSlice()->getViewId()!=0 && pInfo->iN == 3 )
   {
@@ -6189,5 +6189,5 @@
   // get inter-view mv predictor (at position 3)
   TComMv  cPdmMvPred;
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   if( getPdmMvPredDisCan( uiPartIdx, eRefPicList, iRefIdx, cPdmMvPred, &cDisInfo ) )
 #else
@@ -6379,5 +6379,5 @@
   {
     TComMv cMvPred = pcTmpCU->getCUMvField(eRefPicList)->getMv(uiIdx);
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
     cMvPred.m_bDvMcp = false;
 #endif 
@@ -6416,5 +6416,5 @@
     {
       TComMv cMvPred = pcTmpCU->getCUMvField(eRefPicList2nd)->getMv(uiIdx);
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
       cMvPred.m_bDvMcp = false;
 #endif
@@ -6558,5 +6558,5 @@
     {
       TComMv cMvPred = pcTmpCU->getCUMvField(eRefPicList2nd)->getMv(uiIdx);
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
       cMvPred.m_bDvMcp = false;
 #endif
@@ -6588,5 +6588,5 @@
       rcMv = cMvPred.scaleMv( iScale );
     }
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
     rcMv.m_bDvMcp = false;
 #endif
@@ -6615,5 +6615,5 @@
       rcMv = cMvPred.scaleMv( iScale );
     }
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
     rcMv.m_bDvMcp = false;
 #endif
@@ -6625,8 +6625,8 @@
 }
 
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
 Bool TComDataCU::xGetColDisMV( RefPicList eRefPicList, Int refidx, Int uiCUAddr, Int uiPartUnitIdx, TComMv& rcMv , Int & iTargetViewIdx, Int & iStartViewIdx )
 {
-#if LGE_DVMCP && !QC_SIMPLE_NBDV_B0047
+#if LGE_DVMCP_A0126 && !QC_SIMPLE_NBDV_B0047
   Int  iDvMcpDispX[2] = {-1,};
   Bool bDvMcpFlag [2] = { false, }; 
@@ -6647,5 +6647,5 @@
     return false;
   }
-#if LGE_DVMCP && !QC_SIMPLE_NBDV_B0047
+#if LGE_DVMCP_A0126 && !QC_SIMPLE_NBDV_B0047
   Bool bColIsSkipped = pColCU->isSkipped( uiAbsPartAddr );
 #endif
@@ -6671,5 +6671,5 @@
     if ( iColViewIdx    == iColRefViewIdx ) // temporal vector
     {
-#if LGE_DVMCP && !QC_SIMPLE_NBDV_B0047
+#if LGE_DVMCP_A0126 && !QC_SIMPLE_NBDV_B0047
       if( iColViewIdx >0 )
       {
@@ -6689,5 +6689,5 @@
     {
       rcMv = pColCU->getCUMvField(eColRefPicList)->getMv(uiAbsPartAddr);
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
       rcMv.m_bDvMcp = false;
 #endif
@@ -6698,5 +6698,5 @@
   }
 
-#if LGE_DVMCP && !QC_SIMPLE_NBDV_B0047
+#if LGE_DVMCP_A0126 && !QC_SIMPLE_NBDV_B0047
   for( Int ilist=0 ; ilist<2 ; ilist++ )
   {
@@ -7735,5 +7735,5 @@
   memcpy( m_puhInterDir + uiAbsPartIdxDst, pcCU->getInterDir() + uiAbsPartIdxSrc,       sizeof( m_puhInterDir[0] ) * uiNumPartition );
 
-#if !MTK_UNCONSTRAINED_MVI
+#if !MTK_UNCONSTRAINED_MVI_B0083
   memcpy( m_apiMVPIdx[0] + uiAbsPartIdxDst, pcCU->getMVPIdx(REF_PIC_LIST_0) + uiAbsPartIdxSrc, sizeof(*m_apiMVPIdx[0]) * uiNumPartition );
   memcpy( m_apiMVPIdx[1] + uiAbsPartIdxDst, pcCU->getMVPIdx(REF_PIC_LIST_1) + uiAbsPartIdxSrc, sizeof(*m_apiMVPIdx[0]) * uiNumPartition );
@@ -7745,5 +7745,5 @@
   pcCU->getCUMvField( REF_PIC_LIST_1 )->copyTo( &m_acCUMvField[1], -Int(uiAbsPartIdxSrc) + uiAbsPartIdxDst, uiAbsPartIdxSrc, uiNumPartition );
 
-#if MTK_UNCONSTRAINED_MVI
+#if MTK_UNCONSTRAINED_MVI_B0083
   if( pcCU->getSlice()->getSliceType() == P_SLICE)
   {
@@ -7770,5 +7770,5 @@
 // -------------------------------------------------------------------------------------------------------------------
 #if HHI_INTER_VIEW_MOTION_PRED
-#if !QC_MULTI_DIS_CAN
+#if !QC_MULTI_DIS_CAN_A0097
 Int
 TComDataCU::getPdmMergeCandidate( UInt uiPartIdx, Int* paiPdmRefIdx, TComMv* pacPdmMv )
@@ -7834,10 +7834,10 @@
   TComResidualGenerator*  pcResidualGenerator = m_pcSlice->getSPS()->getResidualGenerator();
   ROFRS( pcResidualGenerator, false );
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   DisInfo cDisInfo;
   cDisInfo.iN = 0;
   PartSize m_peSaved =  getPartitionSize( 0 );
   m_pePartSize[0] =  SIZE_2Nx2N;
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
 #if QC_SIMPLE_NBDV_B0047
 #if FIX_LGE_IVMP_PARALLEL_MERGE_B0136
@@ -7877,5 +7877,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 Void TComDataCU::reconPartition( UInt uiAbsPartIdx, UInt uiDepth, Bool bLeft, UChar ucStartPos, UChar ucNumEdge, UChar* pucEdgeCode, Bool* pbRegion )
 {
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 187)
@@ -221,5 +221,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   UChar*        m_pucEdgeCode;          ///< array of edge code
   UChar*        m_pucEdgeNumber;        ///< total number of edge
@@ -284,5 +284,5 @@
   Void          deriveRightBottomIdx        ( PartSize eCUMode, UInt uiPartIdx, UInt& ruiPartIdxRB );
   Bool          xGetColMVP( RefPicList eRefPicList, Int uiCUAddr, Int uiPartUnitIdx, TComMv& rcMv, Int& riRefIdx );
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   Bool          xGetColDisMV( RefPicList eRefPicList, Int refidx, Int uiCUAddr, Int uiPartUnitIdx, TComMv& rcMv, Int & iTargetViewIdx, Int & iStartViewIdx );
 #endif 
@@ -542,5 +542,5 @@
 
 #if HHI_INTER_VIEW_MOTION_PRED
-#if !QC_MULTI_DIS_CAN
+#if !QC_MULTI_DIS_CAN_A0097
   Int           getPdmMergeCandidate( UInt uiPartIdx, Int* paiPdmRefIdx, TComMv* pacPdmMv );
   Bool          getPdmMvPred( UInt uiPartIdx, RefPicList eRefPicList, Int iRefIdx, TComMv& rcMv, Bool bMerge = false );
@@ -553,5 +553,5 @@
   );
   Void          getDisMvpCand        ( UInt uiPartIdx, UInt uiPartAddr, DisInfo* pDInfo );
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
 #if QC_SIMPLE_NBDV_B0047
   Void          getDisMvpCand2( UInt uiPartIdx, UInt uiPartAddr, DisInfo* pDInfo
@@ -733,5 +733,5 @@
   UInt&         getTotalBins            ()                            { return m_uiTotalBins;                                                                                                  }
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   UInt          getCtxEdgeIntra ( UInt uiAbsPartIdx );
 #endif
@@ -817,5 +817,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   UChar*        getEdgeCode( UInt uiIdx )                 { return &m_pucEdgeCode[uiIdx * LGE_EDGE_INTRA_MAX_EDGE_NUM_PER_4x4]; }
   UChar*        getEdgeNumber( )                          { return m_pucEdgeNumber;           }
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComDepthMapGenerator.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComDepthMapGenerator.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComDepthMapGenerator.cpp	(revision 187)
@@ -78,5 +78,5 @@
   m_uiSubSampExpX       = uiSubSampExpX;
   m_uiSubSampExpY       = uiSubSampExpY;
-#if !QC_MULTI_DIS_CAN
+#if !QC_MULTI_DIS_CAN_A0097
   m_ppcYuv              = new TComYuv*    [ m_uiMaxDepth ];
   m_ppcCU               = new TComDataCU* [ m_uiMaxDepth ];
@@ -102,5 +102,5 @@
   {
     m_bCreated    = false;
-#if !QC_MULTI_DIS_CAN
+#if !QC_MULTI_DIS_CAN_A0097
     for( UInt uiDepth = 0; uiDepth < m_uiMaxDepth; uiDepth++ )
     {
@@ -377,5 +377,5 @@
 }
 
-#if !QC_MULTI_DIS_CAN
+#if !QC_MULTI_DIS_CAN_A0097
 Bool
 TComDepthMapGenerator::predictDepthMap( TComPic* pcPic )
@@ -605,5 +605,5 @@
 
 #if HHI_INTER_VIEW_MOTION_PRED
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
 Int
 TComDepthMapGenerator::getPdmMergeCandidate( TComDataCU* pcCU, UInt uiPartIdx, Int* paiPdmRefIdx, TComMv* pacPdmMv, DisInfo* pDInfo 
@@ -620,5 +620,5 @@
   AOF  ( m_bCreated && m_bInit );
 
-#if !QC_MULTI_DIS_CAN
+#if !QC_MULTI_DIS_CAN_A0097
   ROFRS( m_bPDMAvailable, 0 );
 #endif
@@ -665,5 +665,5 @@
   TComPicYuv* pcBaseRec   = pcBasePic->getPicYuvRec   ();
 
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   Int  iCurrPosX, iCurrPosY;
   UInt          uiPartAddr;
@@ -719,5 +719,5 @@
               paiPdmRefIdx  [ uiBaseRefListId ] = iPdmRefIdx;
               TComMv cMv(cBaseMvField.getHor(), cBaseMvField.getVer());
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
               cMv.m_bDvMcp = true;
               cMv.m_iDvMcpDispX = pDInfo->m_acMvCand[0].getHor();
@@ -754,5 +754,5 @@
           paiPdmRefIdx  [ iRefListId ] = iPdmRefIdx;
 #endif
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
           TComMv cMv = pDInfo->m_acMvCand[0]; 
           cMv.setVer(0);
@@ -795,5 +795,5 @@
       if( pcCU->getSlice()->getRefPOC( eRefPicList, iPdmRefIdx ) != pcCU->getSlice()->getPOC() )
       {
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
         if( getDisCanPdmMvPred (pcCU, uiPartIdx, eRefPicList, iPdmRefIdx, cMv, pDInfo, true ) )       
 #else 
@@ -821,5 +821,5 @@
       for( Int iPdmRefIdx = 0; iPdmRefIdx < iNumRefPics; iPdmRefIdx++ )
       {
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
         if ( getDisCanPdmMvPred (pcCU, uiPartIdx, eRefPicList, iPdmRefIdx, cMv, pDInfo, true ) ) 
 #else 
@@ -841,9 +841,9 @@
 }
 
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
 Bool
 TComDepthMapGenerator::getDisCanPdmMvPred    ( TComDataCU*   pcCU, UInt uiPartIdx, RefPicList eRefPicList, Int iRefIdx, TComMv& rcMv, DisInfo* pDInfo, Bool bMerge )
 {
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
   rcMv.m_bDvMcp = false;
 #endif
@@ -913,5 +913,5 @@
       {
         rcMv.set( cBaseMvField.getHor(), cBaseMvField.getVer() );
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
         // save disparity vector when a merge candidate for IVMP is set as DV-MCP
         if( bMerge ) 
@@ -1062,5 +1062,5 @@
 
 
-#if !QC_MULTI_DIS_CAN
+#if !QC_MULTI_DIS_CAN_A0097
 /*=======================================================*
  *=====                                             =====*
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComDepthMapGenerator.h
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComDepthMapGenerator.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComDepthMapGenerator.h	(revision 187)
@@ -136,5 +136,5 @@
 
   Void  initViewComponent     ( TComPic*      pcPic );
-#if !QC_MULTI_DIS_CAN
+#if !QC_MULTI_DIS_CAN_A0097
   Bool  predictDepthMap       ( TComPic*      pcPic );
   Void  updateDepthMap        ( TComPic*      pcPic );
@@ -151,5 +151,5 @@
   Int   getDisparity          ( TComPic*      pcPic, Int iPosX, Int iPosY, UInt uiRefViewId );
 #if HHI_INTER_VIEW_MOTION_PRED
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   Int   getPdmMergeCandidate ( TComDataCU*   pcCU, UInt uiPartIdx, Int* paiPdmRefIdx, TComMv* pacPdmMv, DisInfo* pDInfo 
 #if QC_MRG_CANS_B0048
@@ -176,5 +176,5 @@
 private:
   // picture operations
-#if !QC_MULTI_DIS_CAN
+#if !QC_MULTI_DIS_CAN_A0097
   Bool  xConvertDepthMapCurr2Ref  ( TComPic*    pcRef, TComPic* pcCur );
   Bool  xConvertDepthMapRef2Curr  ( TComPic*    pcCur, TComPic* pcRef );
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComMotionInfo.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComMotionInfo.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComMotionInfo.cpp	(revision 187)
@@ -377,5 +377,5 @@
 
 
-#if MTK_UNCONSTRAINED_MVI
+#if MTK_UNCONSTRAINED_MVI_B0083
 Void TComCUMvField::setUndefinedMv( Int iPartAddr, Int iNumPart, Char* pePredMode, UChar* puhInterDir, Int refIdx, Int InterDir )
 {
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComMotionInfo.h
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComMotionInfo.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComMotionInfo.h	(revision 187)
@@ -59,5 +59,5 @@
 
 // ====================================================================================================================
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
 typedef struct _DisCand
 {
@@ -176,5 +176,5 @@
 #endif
 
-#if MTK_UNCONSTRAINED_MVI
+#if MTK_UNCONSTRAINED_MVI_B0083
   Void setUndefinedMv( Int iPartAddr, Int iNumPart, Char* pePredMode, UChar* puhInterDir, Int refIdx, Int InterDir );
 #endif
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComMv.h
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComMv.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComMv.h	(revision 187)
@@ -57,5 +57,5 @@
 public:
   
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
   Bool  m_bDvMcp;       // is dv-mcp ?
   Int   m_iDvMcpDispX;  // disparity for dv-mcp
@@ -69,5 +69,5 @@
   m_iHor(0),
   m_iVer(0)
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
   , m_bDvMcp(false)
   , m_iDvMcpDispX(0)
@@ -79,5 +79,5 @@
   m_iHor(iHor),
   m_iVer(iVer)
-#if LGE_DVMCP
+#if LGE_DVMCP_A0126
   , m_bDvMcp(false)
   , m_iDvMcpDispX(0)
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComPattern.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComPattern.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComPattern.cpp	(revision 187)
@@ -675,5 +675,5 @@
 {
   Int* piSrc;
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   mapEdgeIntratoDC( uiDirMode );
 #endif
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComPic.h
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComPic.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComPic.h	(revision 187)
@@ -73,5 +73,5 @@
 #endif
 
-#if LG_ZEROINTRADEPTHRESI_M26039
+#if LG_ZEROINTRADEPTHRESI_A0087
   Int                   m_uiIntraPeriod;
 #endif
@@ -79,5 +79,5 @@
 #if HHI_INTER_VIEW_MOTION_PRED
   TComPicYuv*           m_pcOrgDepthMap;          //  original depth map
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   Bool          m_checked;
 #endif
@@ -143,5 +143,5 @@
   TComVPS*      getVPS()              { return  m_apcPicSym->getSlice(m_uiCurrSliceIdx)->getVPS();  }
 #endif
-#if LG_ZEROINTRADEPTHRESI_M26039
+#if LG_ZEROINTRADEPTHRESI_A0087
   Int           getIntraPeriod()                           { return  m_uiIntraPeriod; }
   Void          setIntraPeriod(Int uiIntraPeriod)          { m_uiIntraPeriod = uiIntraPeriod; }
@@ -169,5 +169,5 @@
 #if HHI_INTER_VIEW_MOTION_PRED
   TComPicYuv*   getOrgDepthMap()      { return  m_pcOrgDepthMap; }
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   Void          setCandPicCheckedFlag (Bool bchecked)   { m_checked = bchecked; }
   Bool          getCandPicCheckedFlag ()                { return m_checked;}
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComPrediction.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComPrediction.cpp	(revision 187)
@@ -46,5 +46,5 @@
 // ====================================================================================================================
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 #define MAX_DISTANCE_EDGEINTRA 255
 #endif
@@ -423,5 +423,5 @@
 }
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 Void TComPrediction::predIntraLumaEdge ( TComDataCU* pcCU, TComPattern* pcTComPattern, UInt uiAbsPartIdx, Int iWidth, Int iHeight, Pel* piPred, UInt uiStride, Bool bDelta )
 {
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComPrediction.h
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComPrediction.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComPrediction.h	(revision 187)
@@ -133,5 +133,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   Pel  xGetNearestNeighbor  ( Int x, Int y, Int* pSrc, Int srcStride, Int iWidth, Int iHeight, Bool* bpRegion );
   Void xPredIntraEdge       ( TComDataCU* pcCU, UInt uiAbsPartIdx, Int iWidth, Int iHeight, Int* pSrc, Int srcStride, Pel*& rpDst, Int dstStride, Bool bDelta = false );
@@ -183,5 +183,5 @@
   Bool  getWedgePatternIdx      ( WedgeRefList* pcWedgeRefList, UInt& ruiTabIdx, UChar uhXs, UChar uhYs, UChar uhXe, UChar uhYe );
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   Void predIntraLumaEdge          ( TComDataCU* pcCU, TComPattern* pcTComPattern, UInt uiAbsPartIdx, Int iWidth, Int iHeight, Pel* piPred, UInt uiStride, Bool bDelta = false );
 #endif
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComResidualGenerator.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComResidualGenerator.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComResidualGenerator.cpp	(revision 187)
@@ -219,5 +219,5 @@
 }
 
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
 Bool
 TComResidualGenerator::getResidualSamples( TComDataCU* pcCU, UInt uiPUIdx, TComYuv* pcYuv, Int iDisp
@@ -243,5 +243,5 @@
   iBlkHeight  = pcCU->getHeight ( 0 );
   pcCU->getPic()->getPicYuvRec()->getTopLeftSamplePos( pcCU->getAddr(), pcCU->getZorderIdxInCU() + uiPartAddr, iXPos, iYPos );
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   return getResidualSamples( pcCU->getPic(), (UInt)iXPos, (UInt)iYPos, (UInt)iBlkWidth, (UInt)iBlkHeight, pcYuv, iDisp 
 #if QC_SIMPLIFIEDIVRP_M24938
@@ -258,5 +258,5 @@
 }
   
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
 Bool
 TComResidualGenerator::getResidualSamples( TComPic* pcPic, UInt uiXPos, UInt uiYPos, UInt uiBlkWidth, UInt uiBlkHeight, TComYuv* pcYuv, Int iDisp 
@@ -283,5 +283,5 @@
   UInt uiXPosInRefView = uiXPos , uiYPosInRefView = uiYPos;
 #endif
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   xSetPredResidualBlock( pcPic, uiBaseViewId, uiXPos, uiYPos, uiBlkWidth, uiBlkHeight, pcYuv, iDisp
 #if QC_SIMPLIFIEDIVRP_M24938
@@ -517,5 +517,5 @@
 
 
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
 Void  
 TComResidualGenerator::xSetPredResidualBlock( TComPic* pcPic, UInt uiBaseViewId, UInt uiXPos, UInt uiYPos, UInt uiBlkWidth, UInt uiBlkHeight, TComYuv* pcYuv, Int iDisp 
@@ -548,5 +548,5 @@
 
   //===== get disparity =====
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   Int iDisparity = iDisp;
 #else
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComResidualGenerator.h
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComResidualGenerator.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComResidualGenerator.h	(revision 187)
@@ -69,5 +69,5 @@
   Void  setRecResidualPic     ( TComPic*      pcPic );
 
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   Bool  getResidualSamples    ( TComDataCU*   pcCU,  UInt uiPUIdx, TComYuv* pcYuv, Int iDisp 
 #if QC_SIMPLIFIEDIVRP_M24938
@@ -100,5 +100,5 @@
   Void  xClearIntViewResidual ( TComDataCU*   pcCU,  TComYuv* pcCUResidual, UInt uiPartIdx    );
   Void  xClearResidual        (                      TComYuv* pcCUResidual, UInt uiAbsPartIdx, UInt uiWidth, UInt uiHeight );
-#if QC_MULTI_DIS_CAN
+#if QC_MULTI_DIS_CAN_A0097
   Void  xSetPredResidualBlock ( TComPic*      pcPic, UInt uiBaseViewId, UInt uiXPos, UInt uiYPos, UInt uiBlkWidth, UInt uiBlkHeight, TComYuv* pcYuv, Int iDisp 
 #if QC_SIMPLIFIEDIVRP_M24938
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComRom.h
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComRom.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TComRom.h	(revision 187)
@@ -216,5 +216,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 __inline Void mapEdgeIntratoDC( UChar& curDir ) { curDir = (curDir >= EDGE_INTRA_IDX) ? DC_IDX : curDir; }
 __inline Void mapEdgeIntratoDC(  UInt& curDir ) { curDir = (curDir >= EDGE_INTRA_IDX) ? DC_IDX : curDir; }
Index: branches/HTM-4.1-dev0/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 187)
@@ -42,9 +42,4 @@
 //! \{
 
-#define OL_QTLIMIT_PREDCODING_B0068       1    //JCT3V-B0068
-
-#define MTK_UNCONSTRAINED_MVI             1    //JCT3V-B0083
-
-
 ///// ***** FIXES *********
 // A
@@ -75,5 +70,5 @@
 #define HHI_DMM_WEDGE_INTRA               1   // depth model modes independent on texture (explicit and intra-predicted Wedgelet prediction)
 #define HHI_DMM_PRED_TEX                  1   // depth model modes dependent on texture (inter-component Wedgelet and Contour prediction )
-#define LGE_EDGE_INTRA                    1   // JCT2-A0070
+#define LGE_EDGE_INTRA_A0070              1   // JCT2-A0070
 #define RWTH_SDC_DLT_B0036                1   // JCT3V-B0036: Simplified Depth Coding + Depth Lookup Table
 #define HHIQC_DMMFASTSEARCH_B0039         1   // JCT3V-B0039: fast Wedgelet search for DMM modes 1 and 3
@@ -82,5 +77,5 @@
 #define HHI_INTER_VIEW_MOTION_PRED        1   // inter-view motion parameter prediction
 #define SHARP_INTERVIEW_DECOUPLE_B0111    1   // JCT3V-B0111 decoupling inter-view candidate
-#define QC_MRG_CANS_B0048                 1   // JCT2-B0048, B0086, B0069
+#define QC_MRG_CANS_B0048                 1   // JCT3V-B0048, B0086, B0069
 #if     QC_MRG_CANS_B0048
 #define OL_DISMV_POS_B0069                1   // different pos for dispairty MV candidate, B0069
@@ -104,9 +99,9 @@
 
 ///// ***** DISPARITY VECTOR DERIVATION *********
-#define QC_MULTI_DIS_CAN                  1   // JCT2-A0097
-#define LGE_DVMCP                         1   // JCT2-A0126     
-#define LGE_DVMCP_MEM_REDUCTION_B0135     1 
+#define QC_MULTI_DIS_CAN_A0097            1   // JCT3V-A0097
+#define LGE_DVMCP_A0126                   1   // JCT3V-A0126     
+#define LGE_DVMCP_MEM_REDUCTION_B0135     1   // JCT3V-B0135     
 #define DV_DERIVATION_PARALLEL_B0096      1   // JCT3V-B0096, enable parallel derivation of disparity vector
-#define QC_SIMPLE_NBDV_B0047              1   // JCT2-B0047
+#define QC_SIMPLE_NBDV_B0047              1   // JCT3V-B0047
 
 ///// ***** MOTION PARAMETER INHERITANCE  *********
@@ -115,8 +110,9 @@
 #define FIX_MPI_B0065                     1   // JCT3V-B0065, fix the MPI bug when RQT is off
 #endif
+#define MTK_UNCONSTRAINED_MVI_B0083       1    //JCT3V-B0083
 
 ///// ***** VIEW SYNTHESIS OPTIMIZAION *********
 #define HHI_VSO                           1
-#define HHI_VSO_LS_TABLE                  1   // m23714, enable table base Lagrange multiplier optimization 
+#define HHI_VSO_LS_TABLE_M23714           1   // m23714, enable table base Lagrange multiplier optimization 
 #define HHI_VSO_DIST_INT                  1   // Allow negative synthesized view distortion change
 #define HHI_VSO_SYNTH_DIST_OUT            0   // Output of synthesized view distortion instead of depth distortion in encoder output
@@ -140,6 +136,9 @@
 #define HHI_INTERVIEW_SKIP                1
 
+///// ***** QUADTREE LIMITATION *********
+#define OL_QTLIMIT_PREDCODING_B0068       1    //JCT3V-B0068
+
 ///// ***** OTHERS *********
-#define LG_ZEROINTRADEPTHRESI_M26039      1   // JCT2-A0087
+#define LG_ZEROINTRADEPTHRESI_A0087       1   // JCT2-A0087
 #define SONY_COLPIC_AVAILABILITY          1
 #define HHI_FULL_PEL_DEPTH_MAP_MV_ACC     1   // full-pel mv accuracy for depth maps
@@ -149,5 +148,5 @@
 
 ///// ***** DEFINED PARAMETERS *********
-#if QC_MULTI_DIS_CAN                    
+#if QC_MULTI_DIS_CAN_A0097                    
 #define DIS_CANS                          1
 #endif                                  
@@ -161,5 +160,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 #define LGE_EDGE_INTRA_MIN_SIZE           4
 #define LGE_EDGE_INTRA_MAX_SIZE           32
@@ -171,5 +170,5 @@
 
 
-#if LGE_DVMCP                           
+#if LGE_DVMCP_A0126                           
 #define DVFROM_LEFTBELOW                  1
 #define DVFROM_LEFT                       2
@@ -336,5 +335,5 @@
 #define LOG2_SCAN_SET_SIZE                4
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 #if LGE_EDGE_INTRA_DELTA_DC
 #define FAST_UDI_MAX_RDMODE_NUM               37          ///< maximum number of RD comparison in fast-UDI estimation loop
@@ -384,5 +383,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 #if HHI_DMM_WEDGE_INTRA && HHI_DMM_PRED_TEX
 #define EDGE_INTRA_IDX  (NUM_INTRA_MODE+NUM_DMM_MODE)
Index: branches/HTM-4.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 187)
@@ -738,5 +738,5 @@
                                      m_pcPrediction->getPredicBufHeight (),
                                      bAboveAvail, bLeftAvail );
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   if( uiLumaPredMode >= EDGE_INTRA_IDX )
   {
Index: branches/HTM-4.1-dev0/source/Lib/TLibDecoder/TDecGop.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibDecoder/TDecGop.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibDecoder/TDecGop.cpp	(revision 187)
@@ -303,5 +303,5 @@
     {
       m_pcDepthMapGenerator->initViewComponent( rpcPic );
-#if !QC_MULTI_DIS_CAN
+#if !QC_MULTI_DIS_CAN_A0097
       m_pcDepthMapGenerator->predictDepthMap  ( rpcPic );
 #endif
@@ -348,5 +348,5 @@
 #endif
 #if DEPTH_MAP_GENERATION
-#if !QC_MULTI_DIS_CAN
+#if !QC_MULTI_DIS_CAN_A0097
     // update virtual depth map
     m_pcDepthMapGenerator->updateDepthMap( rpcPic );
Index: branches/HTM-4.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 187)
@@ -106,5 +106,5 @@
 , m_cDmmDataSCModel           ( 1,             1,               NUM_DMM_DATA_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 , m_cEdgeIntraSCModel         ( 1,             1,               NUM_EDGE_INTRA_CTX            , m_contextModels + m_numContextModels, m_numContextModels)
 #if LGE_EDGE_INTRA_DELTA_DC
@@ -206,5 +206,5 @@
 
   m_cCUTransSubdivFlagSCModel.initBuffer ( sliceType, qp, (UChar*)INIT_TRANS_SUBDIV_FLAG );
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   m_cEdgeIntraSCModel.initBuffer         ( sliceType, qp, (UChar*)INIT_EDGE_INTRA );
 #if LGE_EDGE_INTRA_DELTA_DC
@@ -980,5 +980,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
     Bool bCodeEdgeIntra = false;
     if( pcCU->getSlice()->getSPS()->isDepth() )
@@ -996,5 +996,5 @@
 #endif
     Int uiPredNum = pcCU->getIntraDirLumaPredictor(uiAbsPartIdx, uiPreds);  
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
     UInt uiCheckBit = 0;
 #endif
@@ -1021,5 +1021,5 @@
 
       m_pcTDecBinIf->decodeBinsEP( uiSymbol, 5 );
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
       if (bCodeEdgeIntra)
       {
@@ -1057,5 +1057,5 @@
       }
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
       if ( intraPredMode != EDGE_INTRA_IDX)
       {
@@ -1065,10 +1065,10 @@
           intraPredMode += ( intraPredMode >= uiPreds[i] );
         }
-#if LGE_EDGE_INTRA
-      }
-#endif
-    }
-
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
+      }
+#endif
+    }
+
+#if LGE_EDGE_INTRA_A0070
     if( intraPredMode == EDGE_INTRA_IDX )
     {
@@ -2214,5 +2214,5 @@
 #endif
 
-#if HHI_DMM_WEDGE_INTRA || HHI_DMM_PRED_TEX || (LGE_EDGE_INTRA && LGE_EDGE_INTRA_DELTA_DC)
+#if HHI_DMM_WEDGE_INTRA || HHI_DMM_PRED_TEX || (LGE_EDGE_INTRA_A0070 && LGE_EDGE_INTRA_DELTA_DC)
 Void TDecSbac::xReadExGolombLevel( UInt& ruiSymbol, ContextModel& rcSCModel  )
 {
@@ -2473,5 +2473,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 Void TDecSbac::xParseEdgeIntraInfo( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
 {
Index: branches/HTM-4.1-dev0/source/Lib/TLibDecoder/TDecSbac.h
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibDecoder/TDecSbac.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibDecoder/TDecSbac.h	(revision 187)
@@ -152,5 +152,5 @@
 #endif
   
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   Void xParseEdgeIntraInfo ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
 #endif
@@ -269,5 +269,5 @@
   ContextModel3DBuffer m_cDmmDataSCModel;
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   ContextModel3DBuffer m_cEdgeIntraSCModel;
 #if LGE_EDGE_INTRA_DELTA_DC
Index: branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp	(revision 187)
@@ -2663,5 +2663,5 @@
   assert( bRecursiveCall == ( uhDepth != uhTextureModeDepth ) );
 
-#if !MTK_UNCONSTRAINED_MVI
+#if !MTK_UNCONSTRAINED_MVI_B0083
   if( uhDepth == uhTextureModeDepth )
   {
Index: branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 187)
@@ -708,5 +708,5 @@
       // init view component and predict virtual depth map
       m_pcDepthMapGenerator->initViewComponent( pcPic );
-#if !QC_MULTI_DIS_CAN
+#if !QC_MULTI_DIS_CAN_A0097
       m_pcDepthMapGenerator->predictDepthMap  ( pcPic );
 #endif
@@ -784,5 +784,5 @@
 #endif
 #if DEPTH_MAP_GENERATION
-#if !QC_MULTI_DIS_CAN
+#if !QC_MULTI_DIS_CAN_A0097
       // update virtual depth map
       m_pcDepthMapGenerator->updateDepthMap( pcPic );
Index: branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 187)
@@ -114,5 +114,5 @@
 , m_cDmmDataSCModel           ( 1,             1,               NUM_DMM_DATA_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 , m_cEdgeIntraSCModel         ( 1,             1,               NUM_EDGE_INTRA_CTX            , m_contextModels + m_numContextModels, m_numContextModels)
 #if LGE_EDGE_INTRA_DELTA_DC
@@ -205,5 +205,5 @@
   m_cDmmDataSCModel.initBuffer           ( eSliceType, iQp, (UChar*)INIT_DMM_DATA );
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   m_cEdgeIntraSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_EDGE_INTRA );
 #if LGE_EDGE_INTRA_DELTA_DC
@@ -957,5 +957,5 @@
 }
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 Void TEncSbac::xCodeEdgeIntraInfo( TComDataCU* pcCU, UInt uiPartIdx )
 {
@@ -1038,5 +1038,5 @@
   if( pcCU->getSlice()->getSPS()->getUseDMM() && pcCU->getWidth( uiAbsPartIdx ) <= DMM_WEDGEMODEL_MAX_SIZE )
   {
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
     m_pcBinIf->encodeBin( uiDir >= NUM_INTRA_MODE && uiDir < EDGE_INTRA_IDX, m_cDmmFlagSCModel.get(0, 0, 0) );
 #else
@@ -1044,5 +1044,5 @@
 #endif
   }
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   if( uiDir >= NUM_INTRA_MODE && uiDir < EDGE_INTRA_IDX )
 #else
@@ -1081,5 +1081,5 @@
   }
   else
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
     if ( uiDir >= EDGE_INTRA_IDX)
     {
@@ -1116,5 +1116,5 @@
   Int iIntraIdx = pcCU->getIntraSizeIdx(uiAbsPartIdx);
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   Bool bCodeEdgeIntra = false;
   if( pcCU->getSlice()->getSPS()->isDepth() )
@@ -1182,5 +1182,5 @@
 #if LOGI_INTRA_NAME_3MPM
     m_pcBinIf->encodeBinsEP( uiDir, 5 );
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   if (bCodeEdgeIntra)
     if (uiDir == 31) m_pcBinIf->encodeBinsEP(0,1);
@@ -2524,5 +2524,5 @@
 }
 
-#if HHI_DMM_WEDGE_INTRA || HHI_DMM_PRED_TEX || (LGE_EDGE_INTRA && LGE_EDGE_INTRA_DELTA_DC)
+#if HHI_DMM_WEDGE_INTRA || HHI_DMM_PRED_TEX || (LGE_EDGE_INTRA_A0070 && LGE_EDGE_INTRA_DELTA_DC)
 Void TEncSbac::xWriteExGolombLevel( UInt uiSymbol, ContextModel& rcSCModel  )
 {
Index: branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSbac.h
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSbac.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSbac.h	(revision 187)
@@ -181,5 +181,5 @@
   Void  xCodeContourPredTexDeltaInfo( TComDataCU* pcCU, UInt uiAbsPartIdx );
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   Void  xCodeEdgeIntraInfo( TComDataCU* pcCU, UInt uiPartIdx );
 #endif
@@ -322,5 +322,5 @@
   ContextModel3DBuffer m_cDmmDataSCModel;
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   ContextModel3DBuffer m_cEdgeIntraSCModel;
 #if LGE_EDGE_INTRA_DELTA_DC
Index: branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 187)
@@ -965,5 +965,5 @@
                                 TComYuv*    pcResiYuv, 
                                 Dist&       ruiDist 
-#if LG_ZEROINTRADEPTHRESI_M26039
+#if LG_ZEROINTRADEPTHRESI_A0087
                                 ,Bool        bZeroResi
 #endif
@@ -1000,5 +1000,5 @@
   pcCU->getPattern()->initAdiPattern( pcCU, uiAbsPartIdx, uiTrDepth, m_piYuvExt, m_iYuvExtStride, m_iYuvExtHeight, bAboveAvail, bLeftAvail );
   
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   if( uiLumaPredMode >= EDGE_INTRA_IDX )
   {
@@ -1048,5 +1048,5 @@
     }
   }
-#if LG_ZEROINTRADEPTHRESI_M26039
+#if LG_ZEROINTRADEPTHRESI_A0087
   if(bZeroResi)
   {
@@ -1365,5 +1365,5 @@
 #endif
                                 Double&      dRDCost 
-#if LG_ZEROINTRADEPTHRESI_M26039
+#if LG_ZEROINTRADEPTHRESI_A0087
                                ,Bool         bZeroResi
 #endif
@@ -1387,5 +1387,5 @@
   }
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   if( pcCU->getLumaIntraDir( uiAbsPartIdx ) >= EDGE_INTRA_IDX )
   {
@@ -1409,5 +1409,5 @@
     //----- code luma block with given intra prediction mode and store Cbf-----
     dSingleCost   = 0.0;
-#if LG_ZEROINTRADEPTHRESI_M26039
+#if LG_ZEROINTRADEPTHRESI_A0087
     xIntraCodingLumaBlk( pcCU, uiTrDepth, uiAbsPartIdx, pcOrgYuv, pcPredYuv, pcResiYuv, uiSingleDistY, bZeroResi ); 
 #else
@@ -2048,5 +2048,5 @@
     Int numModesForFullRD = g_aucIntraModeNumFast[ uiWidthBit ];
     
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   Bool bTestEdgeIntra = false;
   if ( m_pcEncCfg->isDepthCoder() && uiWidth >= LGE_EDGE_INTRA_MIN_SIZE && uiWidth <= LGE_EDGE_INTRA_MAX_SIZE && uiWidth == uiHeight )
@@ -2152,5 +2152,5 @@
         if( bTestDmm ) bTestDmm = uiSad ? true : false;
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
         if ( bTestEdgeIntra ) bTestEdgeIntra = uiSad ? true : false;
 #endif
@@ -2262,5 +2262,5 @@
     }
 #endif
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   if( bTestEdgeIntra )
   {
@@ -2293,5 +2293,5 @@
     for( UInt uiMode = 0; uiMode < numModesForFullRD; uiMode++ )
     {
-#if LG_ZEROINTRADEPTHRESI_M26039
+#if LG_ZEROINTRADEPTHRESI_A0087
     Bool bAllowZeroResi = pcCU->getSlice()->getIsDepth() && (pcCU->getSlice()->getPOC()%pcCU->getPic()->getIntraPeriod());// && (uiMode < NUM_INTRA_MODE);
     for(UInt uiCnt = 0; uiCnt < (bAllowZeroResi ? 2 : 1); uiCnt++)
@@ -2304,5 +2304,5 @@
 #if HHI_DMM_WEDGE_INTRA || HHI_DMM_PRED_TEX
       if( m_pcEncCfg->getIsDepth() && !predIntraLumaDMMAvailable( uiOrgMode, uiWidth, uiHeight ) 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
         && uiOrgMode < EDGE_INTRA_IDX
 #endif
@@ -2362,5 +2362,5 @@
 #endif
 #if HHI_RQT_INTRA_SPEEDUP
-#if LG_ZEROINTRADEPTHRESI_M26039
+#if LG_ZEROINTRADEPTHRESI_A0087
       xRecurIntraCodingQT( pcCU, uiInitTrDepth, uiPartOffset, bLumaOnly, pcOrgYuv, pcPredYuv, pcResiYuv, uiPUDistY, uiPUDistC, true, dPUCost, bZeroResi );
 #else
@@ -2421,5 +2421,5 @@
       }
 #endif
-#if LG_ZEROINTRADEPTHRESI_M26039
+#if LG_ZEROINTRADEPTHRESI_A0087
     }
 #endif
@@ -6991,5 +6991,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
 Bool TEncSearch::xCheckTerminatedEdge( Bool* pbEdge, Int iX, Int iY, Int iWidth, Int iHeight )
 {
Index: branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSearch.h
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSearch.h	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSearch.h	(revision 187)
@@ -260,5 +260,5 @@
                                     TComYuv*     pcResiYuv, 
                                     Dist&        ruiDist 
-#if LG_ZEROINTRADEPTHRESI_M26039
+#if LG_ZEROINTRADEPTHRESI_A0087
                                    ,Bool        bZeroResi = false
 #endif
@@ -285,5 +285,5 @@
 #endif
                                     Double&      dRDCost 
-#if LG_ZEROINTRADEPTHRESI_M26039
+#if LG_ZEROINTRADEPTHRESI_A0087
                                    ,Bool         bZeroResi = false
 #endif
@@ -342,5 +342,5 @@
 #endif
 
-#if LGE_EDGE_INTRA
+#if LGE_EDGE_INTRA_A0070
   Bool  xEdgePartition       ( TComDataCU* pcCU, UInt uiPartIdx, Bool bPU4x4 );
   Bool  xCheckTerminatedEdge ( Bool* pbEdge, Int iX, Int iY, Int iWidth, Int iHeight );
Index: branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSlice.cpp
===================================================================
--- branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 186)
+++ branches/HTM-4.1-dev0/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 187)
@@ -650,5 +650,5 @@
   TComSlice* pcSlice            = rpcPic->getSlice(getSliceIdx());
   xDetermineStartAndBoundingCUAddr ( uiStartCUAddr, uiBoundingCUAddr, rpcPic, false );
-#if LG_ZEROINTRADEPTHRESI_M26039
+#if LG_ZEROINTRADEPTHRESI_A0087
   rpcPic->setIntraPeriod(this->m_pcCfg->getIntraPeriod());
 #endif
